#pragma once
#include <CircleShape2D.hpp>
#include <CollisionShape2D.hpp>
#include <Sprite.hpp>

#include "GestionCollision.h"
#include "GestionIdentifiant.h"
#include "GestionItem.h"
#include "GestionMobs.h"
#include "GestionPlayer.h"
#include "GestionTerrain.h"

using namespace godot;

class GestionJeu : public Node2D
{
private:
	GODOT_CLASS(GestionJeu, Node2D)
	
public:
	//Gestion des deifferents parties du jeu
	GestionPlayer* gPlayer;
	GestionMobs* gMobs;
	GestionTerrain* gTerrain;
	GestionCollision* gCollision;
	GestionItem gItem;
	GestionIdentifiant gId;

public:
	GestionJeu();
	~GestionJeu();
	
	void static _register_methods();
	void _init();
	void _ready();
	void _process();

private:
	void create_scene();
	void setup_scene();
};

